<template>
  <ul class="colors">
    <li class="colors__item" v-for="col in colors" :key="col">
      <label class="colors__label">
        <input class="colors__radio sr-only" type="radio" :value="col"
               v-model="computedColor"
        >
        <span class="colors__value" style="border: 1px solid;" :style="{'background-color': col}">
                  </span>
      </label>
    </li>
  </ul>
</template>

<script>
export default {
  name: 'ColorChoices',
  props: ['colors', 'color'],
  computed: {
    computedColor: {
      get() {
        return this.color;
      },
      set(value) {
        this.$emit('update:color', value);
      },
    },
  },
};
</script>

<style scoped>

</style>
